Skip to content

Marketplace Offering Access Subnets

Operations Summary

Method Endpoint Description
GET /api/marketplace-offering-access-subnets/ List resources
GET /api/marketplace-offering-access-subnets/{uuid}/ Retrieve a resource
POST /api/marketplace-offering-access-subnets/ Create
PUT /api/marketplace-offering-access-subnets/{uuid}/ Update a resource
PATCH /api/marketplace-offering-access-subnets/{uuid}/ Partially update a resource
DELETE /api/marketplace-offering-access-subnets/{uuid}/ Delete

List resources

Returns a paginated list of resources accessible to the current user.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-offering-access-subnets/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_offering_access_subnets import marketplace_offering_access_subnets_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_offering_access_subnets_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_offering_access_subnets_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceOfferingAccessSubnetsList } from 'waldur-js-client';

try {
  const response = await marketplaceOfferingAccessSubnetsList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
description string Description
inet string Inet
offering string (uri) Offering URL
offering_uuid string (uuid) Offering UUID
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type
uuid string (uuid)
inet string
description string
offering string (uri)
offering_name string

Retrieve a resource

Returns details of a specific resource.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-offering-access-subnets/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_offering_access_subnets import marketplace_offering_access_subnets_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_offering_access_subnets_retrieve.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: marketplace_offering_access_subnets_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { marketplaceOfferingAccessSubnetsRetrieve } from 'waldur-js-client';

try {
  const response = await marketplaceOfferingAccessSubnetsRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 -

Field Type
uuid string (uuid)
inet string
description string
offering string (uri)
offering_name string

Create

1
2
3
4
5
6
http \
  POST \
  https://api.example.com/api/marketplace-offering-access-subnets/ \
  Authorization:"Token YOUR_API_TOKEN" \
  inet="string-value" \
  offering="https://api.example.com/api/offering/a1b2c3d4-e5f6-7890-abcd-ef1234567890/"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.offering_access_subnet_request import OfferingAccessSubnetRequest # (1)
from waldur_api_client.api.marketplace_offering_access_subnets import marketplace_offering_access_subnets_create # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = OfferingAccessSubnetRequest(
    inet="string-value",
    offering="https://api.example.com/api/offering/a1b2c3d4-e5f6-7890-abcd-ef1234567890/"
)
response = marketplace_offering_access_subnets_create.sync(
    client=client,
    body=body_data
)

print(response)
  1. Model Source: OfferingAccessSubnetRequest
  2. API Source: marketplace_offering_access_subnets_create
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
import { marketplaceOfferingAccessSubnetsCreate } from 'waldur-js-client';

try {
  const response = await marketplaceOfferingAccessSubnetsCreate({
  auth: "Token YOUR_API_TOKEN",
  body: {
    "inet": "string-value",
    "offering": "https://api.example.com/api/offering/a1b2c3d4-e5f6-7890-abcd-ef1234567890/"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Field Type Required
inet string
description string
offering string (uri)

201 -

Field Type
uuid string (uuid)
inet string
description string
offering string (uri)
offering_name string

Update a resource

Updates the name, description, or end date of a resource. Requires appropriate permissions.

1
2
3
4
5
6
http \
  PUT \
  https://api.example.com/api/marketplace-offering-access-subnets/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN" \
  inet="string-value" \
  offering="https://api.example.com/api/offering/a1b2c3d4-e5f6-7890-abcd-ef1234567890/"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.offering_access_subnet_request import OfferingAccessSubnetRequest # (1)
from waldur_api_client.api.marketplace_offering_access_subnets import marketplace_offering_access_subnets_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = OfferingAccessSubnetRequest(
    inet="string-value",
    offering="https://api.example.com/api/offering/a1b2c3d4-e5f6-7890-abcd-ef1234567890/"
)
response = marketplace_offering_access_subnets_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: OfferingAccessSubnetRequest
  2. API Source: marketplace_offering_access_subnets_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
import { marketplaceOfferingAccessSubnetsUpdate } from 'waldur-js-client';

try {
  const response = await marketplaceOfferingAccessSubnetsUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  },
  body: {
    "inet": "string-value",
    "offering": "https://api.example.com/api/offering/a1b2c3d4-e5f6-7890-abcd-ef1234567890/"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required
inet string
description string
offering string (uri)

200 -

Field Type
uuid string (uuid)
inet string
description string
offering string (uri)
offering_name string

Partially update a resource

Partially updates the name, description, or end date of a resource. Requires appropriate permissions.

1
2
3
4
http \
  PATCH \
  https://api.example.com/api/marketplace-offering-access-subnets/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.patched_offering_access_subnet_request import PatchedOfferingAccessSubnetRequest # (1)
from waldur_api_client.api.marketplace_offering_access_subnets import marketplace_offering_access_subnets_partial_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = PatchedOfferingAccessSubnetRequest()
response = marketplace_offering_access_subnets_partial_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: PatchedOfferingAccessSubnetRequest
  2. API Source: marketplace_offering_access_subnets_partial_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { marketplaceOfferingAccessSubnetsPartialUpdate } from 'waldur-js-client';

try {
  const response = await marketplaceOfferingAccessSubnetsPartialUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required
inet string
description string

200 -

Field Type
uuid string (uuid)
inet string
description string
offering string (uri)
offering_name string

Delete

1
2
3
4
http \
  DELETE \
  https://api.example.com/api/marketplace-offering-access-subnets/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_offering_access_subnets import marketplace_offering_access_subnets_destroy # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_offering_access_subnets_destroy.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: marketplace_offering_access_subnets_destroy
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { marketplaceOfferingAccessSubnetsDestroy } from 'waldur-js-client';

try {
  const response = await marketplaceOfferingAccessSubnetsDestroy({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

204 - No response body